Subject: Re: <crlf> vs <lf> and use of diff
From: CBFalconer <[email-masked]>
To: [email-masked]
Date: Fri, 18 Oct 2002 23:05:50 -0400

"Pierre A. Humblet" wrote:
> On Fri, 18 Oct 2002, CBFalconer wrote:
> >
... snip ...
> >
> > They don't work.  The saved versions have <crlf> line endings, and
> > the newly created files have <lf> endings.  I thought that diff
> > ignored these differences as long as the files were not binary (no
> > <nul>s).  The -a option makes no difference.  I don't want to
> > revise the saved files because that would foul their utility
> > elsewhere.
> 
> diff --help
> 
>   --strip-trailing-cr  Strip trailing carriage return on input.

That works.  When I saw it before I thought it referred to MAC
line endings.

See my other reply on .com and piping anomalies.

-- 
Chuck F ([email-masked]) ([email-masked])
   Available for consulting/temporary embedded and systems.
   <http://cbfalconer.home.att.net>  USE worldnet address!

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/